
import { request } from 'umi';
import { api } from '../api';

const iaaApi = api + '/iaaManage'


/**
 * 获取回传策略列表
 * @returns 
 */
export async function getBackPolicyListApi(data: IAAAPI.GetBackPolicyListProps) {
    return request(iaaApi + `/backPolicy/listOfPage`, {
        method: 'POST',
        data
    });
}

/**
 * 新增修改
 * @param data 
 * @returns 
 */
export async function addOrUpdateBackPolicyApi(data: IAAAPI.AddOrUpdateBackPolicyProps) {
    return request(iaaApi + `/backPolicy/addOrUpdate`, {
        method: 'POST',
        data
    });
}

/**
 * 获取所有策略列表
 * @returns 
 */
export async function getBackPolicyAllListApi() {
    return request(iaaApi + `/backPolicy/allOfUser`, {
        method: 'POST'
    });
}