declare namespace IAAAPI {
    interface AddIaaAgentProps {
        "agentName": string,
        "accountType": string,
        "iaaAppId": number,
        "accountIdList": number[],
        "putStatus": string, //"投放状态"
        "backPolicyId"?: number,   //回传策略
    }
    interface GetIaaAgentListProps {
        pageNum: number
        pageSize: number
        agentName?: string,
        agentKey?: string
        accountType?: string
        accountId?: number,
        iaaAppId?: number,
        backPolicyId?: number
        putStatus?: number,
        putUserId?: number,
        createBeginTime?: string
        createEndTime?: string
    }
    interface GetBackPolicyListProps {
        pageNum: number
        pageSize: number
        backPolicyName?: string
    }
    interface AddOrUpdateBackPolicyProps {
        backPolicyName: string,
        ipu?: number,
        ecpm?: number,
        costTotal?: number,
        validWindowTime?: number,
        id?: number
    }
    interface GetPowerListProps {
        pageNum: number
        pageSize: number
        authType?: string
        userId?: number
    }
    interface AddRoleProps {
        authType: string,
        userIdList: number[]
    }
    interface UpdateRoleProps {
        userId: number,
        authType: string,
    }
    interface GetAppListProps {
        pageNum: number,
        pageSize: number,
        iaaAppId?: string,
        userId?: number
    }
    interface UpdateAppProps {
        id?: boolean
        iaaAppId: any,
        defaultAgent: boolean
    }
    interface AddAppProps {
        userIdList: number[]
        authMemberAppList: UpdateAppProps
    }
}